"use strict";
var app = require("./child");

var logger = app.get('winston').loggers.get('main');

logger.debug("server.js fully init!");

process.on('uncaughtException', function (err) {
    var msg = (new Date).toUTCString() + ' uncaughtException:';
    console.error(msg, err.message);
    console.error(err.stack);
    process.exit(1);
});

module.exports = app;