/**
 * Created by John on 7/3/2017.
 *
 * Common topology for the Amazon SQS queues
 */
module.exports = function(Squiss, config) {

    return {
        loaderMT: new Squiss({
            queueUrl: config.sqsConfig.queueUrl,
            receiveWaitTimeSecs: 10,
            bodyFormat: 'json',
            awsConfig: config.sqsConfig,
            maxInFlight: 100,
            deleteBatchSize: 1,
            deleteWaitMs: 0
        }),loaderCR: new Squiss({
            queueUrl: config.sqsConfig.queueUrl,
            receiveWaitTimeSecs: 10,
            bodyFormat: 'json',
            awsConfig: config.sqsConfig,
            maxInFlight: 100,
            deleteBatchSize: 1,
            deleteWaitMs: 0
        }),loaderCP: new Squiss({
            queueUrl: config.sqsConfig.queueUrl,
            receiveWaitTimeSecs: 10,
            bodyFormat: 'json',
            awsConfig: config.sqsConfig,
            maxInFlight: 100,
            deleteBatchSize: 1,
            deleteWaitMs: 0
        }),loaderPV: new Squiss({
            queueUrl: config.sqsConfig.queueUrl,
            receiveWaitTimeSecs: 10,
            bodyFormat: 'json',
            awsConfig: config.sqsConfig,
            maxInFlight: 100,
            deleteBatchSize: 1,
            deleteWaitMs: 0
        })
    };

};